ur_rna.RNAstructureUI.windows

## Class PredictMultiStructureWindow.PredictTask

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase
  - - ur_rna.RNAstructureUI.windows.PredictMultiStructureWindow.PredictTask

- All Implemented Interfaces:
    java.lang.Runnable, PredictWindowBase.BackgroundTask
  Enclosing class:
    PredictMultiStructureWindow

      private class PredictMultiStructureWindow.PredictTask
      extends PredictWindowBase.PredictTaskBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `allowBaseInserts`
    `(package private) RNAstructureBackendCalculator` | `bc`
    `(package private) java.lang.String` | `multiAln`
    `(package private) int` | `multiAlnSize`
    `(package private) java.lang.String[]` | `multiCTs`
    `(package private) int` | `multiDsvChange`
    `(package private) double` | `multiGapPenalty`
    `(package private) int` | `multiIterations`
    `(package private) int` | `multiMaxEnergyDiff`
    `(package private) int` | `multiMaxPairs`
    `(package private) int` | `multiMaxStructures`
    `(package private) java.lang.String[]` | `multiPFSs`
    `(package private) int` | `multiWindowSize`
    `(package private) double` | `temperature`
    `(package private) java.lang.String` | `turboAln`
    `(package private) java.lang.String[]` | `turboCTs`
    `(package private) double` | `turboGamma`
    `(package private) int` | `turboIterations`
    `(package private) int` | `turboMaxEnergyDiff`
    `(package private) int` | `turboMaxStructures`
    `(package private) double` | `turboMEAGamma`
    `(package private) int` | `turboMinHelix`
    `(package private) int` | `turboMode`
    `(package private) java.lang.String[]` | `turboPFSs`
    `(package private) int` | `turboPKIterations`
    `(package private) double` | `turboThreshold`
    `(package private) int` | `turboWindowSize`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `canCancel, errorMessage, hadError, isCanceled, nextStepWork, status, stepProgress, workDone`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PredictTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getProgress()`
    `protected void` | `runCalc()`
    `protected boolean` | `showResults()` Show the results window.

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `cancel, checkError, checkError, checkError, checkError, checkError, getStatus, isCancelable, nextStep, onComplete, run, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowBaseInserts

          boolean allowBaseInserts

    - #### bc

          RNAstructureBackendCalculator bc

    - #### multiAln

          java.lang.String multiAln

    - #### multiAlnSize

          int multiAlnSize

    - #### multiCTs

          java.lang.String[] multiCTs

    - #### multiDsvChange

          int multiDsvChange

    - #### multiGapPenalty

          double multiGapPenalty

    - #### multiIterations

          int multiIterations

    - #### multiMaxEnergyDiff

          int multiMaxEnergyDiff

    - #### multiMaxPairs

          int multiMaxPairs

    - #### multiMaxStructures

          int multiMaxStructures

    - #### multiPFSs

          java.lang.String[] multiPFSs

    - #### multiWindowSize

          int multiWindowSize

    - #### temperature

          double temperature

    - #### turboAln

          java.lang.String turboAln

    - #### turboCTs

          java.lang.String[] turboCTs

    - #### turboGamma

          double turboGamma

    - #### turboIterations

          int turboIterations

    - #### turboMaxEnergyDiff

          int turboMaxEnergyDiff

    - #### turboMaxStructures

          int turboMaxStructures

    - #### turboMEAGamma

          double turboMEAGamma

    - #### turboMinHelix

          int turboMinHelix

    - #### turboMode

          int turboMode

    - #### turboPFSs

          java.lang.String[] turboPFSs

    - #### turboPKIterations

          int turboPKIterations

    - #### turboThreshold

          double turboThreshold

    - #### turboWindowSize

          int turboWindowSize

  - ### Constructor Detail

    - #### PredictTask

          private PredictTask()

  - ### Method Detail

    - #### getProgress

          public int getProgress()

      Specified by:
        `getProgress` in interface `PredictWindowBase.BackgroundTask`
      Overrides:
        `getProgress` in class `PredictWindowBase.PredictTaskBase`

    - #### runCalc

          protected void runCalc()

      Specified by:
        `runCalc` in class `PredictWindowBase.PredictTaskBase`

    - #### showResults

          protected boolean showResults()

      Show the results window.
      Specified by:
        `showResults` in class `PredictWindowBase.PredictTaskBase`
      Returns:
        True if the results window could be shown. False otherwise.